summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Edinaldo P. Silva2015-09-18 05:13:41 +0200
committer Willy Sudiarto Raharjo2015-09-18 05:13:41 +0200
commit934bd7d8449f6d3ecefc678cfdeea82d8a9fd076 (patch)
treecec75635b387376ca6e7dbd80b983d1dd4b15ec9 /desktop
parent0179f326a273e3da5d49826a199658315180c537 (diff)
downloadslackbuilds-934bd7d8449f6d3ecefc678cfdeea82d8a9fd076.tar.gz
desktop/orchis-gtk-theme: Added (Modern GTK Theme for Linux).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/orchis-gtk-theme/README5
-rw-r--r--desktop/orchis-gtk-theme/doinst.sh13
-rw-r--r--desktop/orchis-gtk-theme/orchis-gtk-theme.SlackBuild64
-rw-r--r--desktop/orchis-gtk-theme/orchis-gtk-theme.info10
-rw-r--r--desktop/orchis-gtk-theme/slack-desc19
5 files changed, 111 insertions, 0 deletions
diff --git a/desktop/orchis-gtk-theme/README b/desktop/orchis-gtk-theme/README
new file mode 100644
index 0000000000..7b6d4e8df0
--- /dev/null
+++ b/desktop/orchis-gtk-theme/README
@@ -0,0 +1,5 @@
+orchis-gtk-theme (Orchis is a modern GTK3 theme for Linux)
+
+Orchis is an GTK3 theme belonging to the Moka Project.
+
+Orchis GTK Theme is distributed under the terms the GNU GPL v.3
diff --git a/desktop/orchis-gtk-theme/doinst.sh b/desktop/orchis-gtk-theme/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/desktop/orchis-gtk-theme/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/orchis-gtk-theme/orchis-gtk-theme.SlackBuild b/desktop/orchis-gtk-theme/orchis-gtk-theme.SlackBuild
new file mode 100644
index 0000000000..1b72cb6368
--- /dev/null
+++ b/desktop/orchis-gtk-theme/orchis-gtk-theme.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+#
+# Slackware build script for orchis-gtk-theme.
+#
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="orchis-gtk-theme"
+VERSION=${VERSION:-3.0.22}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+CWD=$(pwd)
+
+set -e
+
+SRCVER="v3.0.22"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRCVER.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+# remove unity files.
+rm -rf Orchis/unity Orchis-Dark/unity
+
+mkdir -p $PKG/usr/share/themes
+cp -a Orchis Orchis-Dark $PKG/usr/share/themes
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS INSTALL LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/orchis-gtk-theme/orchis-gtk-theme.info b/desktop/orchis-gtk-theme/orchis-gtk-theme.info
new file mode 100644
index 0000000000..384d195a91
--- /dev/null
+++ b/desktop/orchis-gtk-theme/orchis-gtk-theme.info
@@ -0,0 +1,10 @@
+PRGNAM="orchis-gtk-theme"
+VERSION="3.0.22"
+HOMEPAGE="https://github.com/moka-project/orchis-gtk-theme"
+DOWNLOAD="https://github.com/moka-project/orchis-gtk-theme/archive/v3.0.22.tar.gz"
+MD5SUM="767b436b5e36b47914ed88bbc3fbb91b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/desktop/orchis-gtk-theme/slack-desc b/desktop/orchis-gtk-theme/slack-desc
new file mode 100644
index 0000000000..7e5537c4b1
--- /dev/null
+++ b/desktop/orchis-gtk-theme/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+orchis-gtk-theme: orchis-gtk-theme (modern GTK3 theme for Linux)
+orchis-gtk-theme:
+orchis-gtk-theme: Orchis is an GTK3 theme belonging to the Moka Project.
+orchis-gtk-theme:
+orchis-gtk-theme: Home page: https://github.com/moka-project/orchis-gtk-theme/
+orchis-gtk-theme:
+orchis-gtk-theme:
+orchis-gtk-theme:
+orchis-gtk-theme:
+orchis-gtk-theme:
+orchis-gtk-theme: